Loading...
Searching...
No Matches
osmium::geometry_error Class Reference

`#include <factory.hpp>`

Inheritance diagram for osmium::geometry_error:
[legend]
Collaboration diagram for osmium::geometry_error:
[legend]

## Public Member Functions

| geometry_error (const std::string &message, const char *object_type="", osmium::object_id_type id=0)
void | set_id (const char *object_type, osmium::object_id_type id)
osmium::object_id_type | id () const noexcept
const char * | what () const noexcept override

## Private Attributes

std::string | m_message
osmium::object_id_type | m_id

## Detailed Description

Exception thrown when an invalid geometry is encountered. An example would be a linestring with less than two points.

## Constructor & Destructor Documentation

## geometry_error()

osmium::geometry_error::geometry_error | ( | const std::string & | message,
|  | const char * | object_type = "",
|  | osmium::object_id_type | id = 0 )

inlineexplicit

## Member Function Documentation

## id()

osmium::object_id_type osmium::geometry_error::id | ( |  | ) | const

inlinenoexcept

## set_id()

void osmium::geometry_error::set_id | ( | const char * | object_type,
|  | osmium::object_id_type | id )

inline

## what()

const char * osmium::geometry_error::what | ( |  | ) | const

inlineoverridenoexcept

## Member Data Documentation

## m_id

osmium::object_id_type osmium::geometry_error::m_id

private

## m_message

std::string osmium::geometry_error::m_message

private

The documentation for this class was generated from the following file:

- include/osmium/geom/factory.hpp